RSBAC_WRITE(1)

NAME
rsbac_write - request the modified data structures to be written to disk

SYNOPSIS

rsbac_write

DESCRIPTION

 RSBAC has two locations of ACI (Access Control information): on disks and in the computer's RAM. During system boot RSBAC ACI is read from disk and placed into appropriate data structures in kernel memory. When you change some attributes, you really made changes in RAM storage. RSBAC syncs modified data from RAM to disk every few seconds (2 secs by default, see kernel config). So, you can loose your changes on some unexpected system damage.

Use rsbac_write, if you want to write the changed RSBAC attributes to disk immediately, or to get it written at all, if you disabled automatic writing in kernel config. Please note that the data will also be written when the respective filesystem gets umounted.

AUTHOR
Amon Ott <ao@rsbac.org>.